SUBROUTINE NEWT290
!use consts
use global
implicit none  
    
integer :: i,j
save

!********** NEW TEMPERATURES IN INTERNAL POINTS

      DO 600 I=2,IMAX
      DO 600 J=2,JMAX
  600 T(I,J)=T(I,J)+CIN(I,J)*(FZ(I,J)-FZ(I,J+1)+FR(I,J)- &
      FR(I+1,J))*DT

      DO 100 I=2,IRR
      DETOP=DETOP-FZ(I,JTZ)*DT
      DEBOT=DEBOT+FZ(I,JBZ1)*DT
  100 CONTINUE
      DO 150 J=JTZ,JBZ
      DESIDE=DESIDE+FR(IRR1,J)*DT
  150 CONTINUE

!write(522,*) detop,debot,deside,dt

RETURN
END subroutine newt290